## ros-melodic-uos-maps 1.0.0

=== debian/changelog ===
ros-melodic-uos-maps (1.0.0-1stretch) stretch; urgency=high

  * Initial version 1.0.0
  * Contributors: Jochen Sprickerhof, Michael Görner, Sebastian Pütz, Tristan Igelbrink

 -- Martin Guenther <mguenthe@uni-osnabrueck.de>  Fri, 24 Apr 2020 22:00:00 -0000

## ros-melodic-uos-maps 1.0.1

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(uos_maps)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED )

catkin_package()

install(DIRECTORY
    maps/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/maps
)

=== debian/changelog ===
ros-melodic-uos-maps (1.0.1-1bionic) bionic; urgency=high



 -- Martin Guenther <mguenthe@uni-osnabrueck.de>  Wed, 20 Oct 2021 22:00:00 -0000

ros-melodic-uos-maps (1.0.0-1bionic) bionic; urgency=high

  * Initial version 1.0.0
  * Contributors: Jochen Sprickerhof, Michael Görner, Sebastian Pütz, Tristan Igelbrink

 -- Martin Guenther <mguenthe@uni-osnabrueck.de>  Fri, 24 Apr 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-uos-maps
Section: misc
Priority: optional
Maintainer: Martin Guenther <mguenthe@uni-osnabrueck.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/uos_maps
Standards-Version: 3.9.2

Package: ros-melodic-uos-maps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Navigation maps of the Osnabrueck University

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-uos-maps//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
